./devel/ruby-wmi-lite, Lightweight, low-dependency wrapper for basic WMI functionality

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0.5, Package name: ruby26-wmi-lite-1.0.5, Maintainer: pkgsrc-users

wmi-lite is a lightweight Ruby gem utility library for accessing basic
Windows Management Instrumentation (WMI) functionality on Windows.


Required to run:
[lang/ruby26-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 9957d2c752794a7916c90d3966a950e1eab7d968
RMD160: 2d1aa8c2781e084896ac3c9feb132c57cbb6a32c
Filesize: 10 KB

Version history: (Expand)


CVS history: (Expand)


   2020-03-08 16:39:43 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
devel/ruby-wmi-lite: update to 1.0.5

Update ruby-wmi-lite to 1.0.5.

1.0.5 (2019-12-30)

* Migrate testing to Buildkite #11 (tas50)
* Add necessary dev deps to the Gemfile + Chefstyle autocorrect #12 (tas50)
* Substitute require for require_relative #10 (tas50)

1.0.2 (2019-01-16)

* Unpin bundler dev dep #9 (tas50)

1.0.1 (2018-12-04)

* Wire up expeditor #7 (tas50)
* Slim the files we ship in the gem #8 (tas50)
   2017-07-31 00:32:28 by Thomas Klausner | Files touched by this commit (229)
Log message:
Switch github HOMEPAGEs to https.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-01-19 21:32:18 by Filip Hajny | Files touched by this commit (4) | Package updated
Log message:
Import wmi-lite as devel/ruby-wmi-lite.

wmi-lite is a lightweight Ruby gem utility library for accessing basic
Windows Management Instrumentation (WMI) functionality on Windows.

Required by a ruby-chef update.